//
//  ResponseController.swift
//  DemoPayme
//
//  Created by Levis Silvestre on 16/08/24.
//

import Foundation
import UIKit

class ResponseController: UIViewController {

    @IBOutlet weak var labelRequest: UILabel!
    @IBOutlet weak var labelResponse: UILabel!
    @IBOutlet weak var labelEvents: UILabel!
    
    var paymeRequest: String!
    var paymeResponse: String!
    var paymeEvents: String!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.loadController()
    }
    
    private func loadController() {
        self.navigationController?.navigationBar.tintColor = self.traitCollection.userInterfaceStyle == .dark ? UIColor.white : UIColor.black
        self.labelRequest.text = self.paymeRequest
        self.labelResponse.text = self.paymeResponse
        self.labelEvents.text = self.paymeEvents
    }
    
    @IBAction func backButtonTapped(_ sender: UIBarButtonItem) {
        self.navigationController?.popViewController(animated: true)
    }
    
}
