//
//  ViewController.m
//  DemoPaymeObj
//
//  Created by Levis Silvestre on 21/08/24.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
}


- (void)onRespondsPaymeWithResponse:(PAYMEChargesResponse * _Nonnull)response { 
    
}

- (void)onPaymeEventsWithEvent:(PaymeEvent *)event {
    switch (event.code) {
        case PaymeEventCodeBUILD_FORM: {
            PaymeEventBUILD_FORM *buildFormEvent = (PaymeEventBUILD_FORM *)event;
            NSLog(@"Handling BUILD_FORM event with methods: %@", buildFormEvent.methods);
            break;
        }
        case PaymeEventCodeCHOOSE_PAYMENT_METHOD: {
            PaymeEventCHOOSE_PAYMENT_METHOD *choosePaymentEvent = (PaymeEventCHOOSE_PAYMENT_METHOD *)event;
            NSLog(@"Handling CHOOSE_PAYMENT_METHOD event with method: %@", choosePaymentEvent.method);
            break;
        }
        case PaymeEventCodeRETURN_LIST_PAYMENT_METHODS: {
            NSLog(@"Handling RETURN_LIST_PAYMENT_METHODS event");
            break;
        }
        case PaymeEventCodePRESS_PAY_BUTTON: {
            PaymeEventPRESS_PAY_BUTTON *pressPayButtonEvent = (PaymeEventPRESS_PAY_BUTTON *)event;
            NSLog(@"Handling PRESS_PAY_BUTTON event with method: %@", pressPayButtonEvent.method);
            break;
        }
        case PaymeEventCodeCANCEL_PAYMENT_METHOD: {
            PaymeEventCANCEL_PAYMENT_METHOD *cancelPaymentEvent = (PaymeEventCANCEL_PAYMENT_METHOD *)event;
            NSLog(@"Handling CANCEL_PAYMENT_METHOD event with method: %@", cancelPaymentEvent.method);
            break;
        }
        case PaymeEventCodeCLOSE_PAYME: {
            NSLog(@"Handling CLOSE_PAYME event");
            break;
        }
    }
}

- (void)encodeWithCoder:(nonnull NSCoder *)coder { 
    <#code#>
}

- (void)traitCollectionDidChange:(nullable UITraitCollection *)previousTraitCollection { 
    <#code#>
}

- (void)preferredContentSizeDidChangeForChildContentContainer:(nonnull id<UIContentContainer>)container { 
    <#code#>
}

- (CGSize)sizeForChildContentContainer:(nonnull id<UIContentContainer>)container withParentContainerSize:(CGSize)parentSize { 
    <#code#>
}

- (void)systemLayoutFittingSizeDidChangeForChildContentContainer:(nonnull id<UIContentContainer>)container { 
    <#code#>
}

- (void)viewWillTransitionToSize:(CGSize)size withTransitionCoordinator:(nonnull id<UIViewControllerTransitionCoordinator>)coordinator { 
    <#code#>
}

- (void)willTransitionToTraitCollection:(nonnull UITraitCollection *)newCollection withTransitionCoordinator:(nonnull id<UIViewControllerTransitionCoordinator>)coordinator { 
    <#code#>
}

- (void)didUpdateFocusInContext:(nonnull UIFocusUpdateContext *)context withAnimationCoordinator:(nonnull UIFocusAnimationCoordinator *)coordinator { 
    <#code#>
}

- (void)setNeedsFocusUpdate { 
    <#code#>
}

- (BOOL)shouldUpdateFocusInContext:(nonnull UIFocusUpdateContext *)context { 
    <#code#>
}

- (void)updateFocusIfNeeded { 
    <#code#>
}

@end
